HELP! Cliq keeps saying error creating account

AE86Simon

New member
Sep 28, 2011
1
0
0
Visit site
Hi Guys.
My cliq was a 2.0. something and i wanted to upgrade to the 2.1 (Eclair). But you can't upgrade to the 2.1 from the 2.0. So i downgraded to the 1.5 and now when i turn on the phone and it says create new account or use existing account. I choose existing and when i type in my motoblur id and password it keeps saying error creating account. So i don't know what i can do now.
Plz Help!!
Thanks!
 

Trending Posts

Forum statistics

Threads
944,334
Messages
6,922,373
Members
3,159,500
Latest member
wyattling